public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ruby-progressbar/
Date: Sat, 18 Aug 2018 05:03:13 +0000 (UTC)	[thread overview]
Message-ID: <1534568586.4d7a1929bfe7dd36a4ed1ca603f8537948d25708.graaff@gentoo> (raw)

commit:     4d7a1929bfe7dd36a4ed1ca603f8537948d25708
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 18 04:59:26 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Aug 18 05:03:06 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d7a1929

dev-ruby/ruby-progressbar: add 1.10.0

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-ruby/ruby-progressbar/Manifest                 |  1 +
 .../ruby-progressbar-1.10.0.ebuild                 | 35 ++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-ruby/ruby-progressbar/Manifest b/dev-ruby/ruby-progressbar/Manifest
index 574141e11e1..180501ebe0d 100644
--- a/dev-ruby/ruby-progressbar/Manifest
+++ b/dev-ruby/ruby-progressbar/Manifest
@@ -1,2 +1,3 @@
+DIST ruby-progressbar-1.10.0.tar.gz 51483 BLAKE2B 24b92718fe933caa29460939a816b14a492d3144e9a891839ec3b5dbac103849bc0aa3becfb47e507a001ce6b0d0bbf2e0b207fe8d7cb51443924e81c9395b0a SHA512 ec645858d619a95081304905661918eef6d5bd19c0f8d00beac48df3f202d18ac85811d51028d71ab144a5a56649feb2409eca59b3db26733c00a1a54a7ef55d
 DIST ruby-progressbar-1.4.2.gem 24064 BLAKE2B 4c26f5c281129a7333c8a7a1f7738a094ec02d769293252c8fbc6df0bea99971cd0d235b6bbeba7e2e4fac10409028f7cdb15870484878c26d9ea9f709f0135b SHA512 443fc015b2dcabc76c685f1529a39ffba289cb00c3cee3992ef240fb9822729f9049db4d85c58ee1ab6cc17927cb325044ea45a968c755a9b5ad93f7b9999fbd
 DIST ruby-progressbar-1.9.0.tar.gz 47888 BLAKE2B 26707f4f931e378da18a29d20da47963c06bde537155d0e9bd3a623b9b3edd9d653a50ca106dcb29ffb53668a869815818398ae514ef3302465cf5a5504b2cda SHA512 d2b01c205dec3bad6989a1ea466070fdc0c3fc5bc0c8685a21094c52d2f2c6a11849b42d88d3ec70df1475ad47c9f84a4c4b603948344643310e2180122d9b67

diff --git a/dev-ruby/ruby-progressbar/ruby-progressbar-1.10.0.ebuild b/dev-ruby/ruby-progressbar/ruby-progressbar-1.10.0.ebuild
new file mode 100644
index 00000000000..033082b7ba8
--- /dev/null
+++ b/dev-ruby/ruby-progressbar/ruby-progressbar-1.10.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Text Progress Bar Library for Ruby"
+HOMEPAGE="https://github.com/jfelchner/ruby-progressbar"
+SRC_URI="https://github.com/jfelchner/ruby-progressbar/archive/releases/v${PV}.tar.gz -> ${P}.tar.gz"
+RUBY_S="ruby-progressbar-releases-v${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/rspectacular dev-ruby/timecop )"
+
+all_ruby_prepare() {
+	sed -i -e '/warning_filter/ s:^:#:' \
+		spec/spec_helper.rb || die
+	# Avoid ruby24 syntax for an unneeded check
+	sed -i -e '/^return/ s:^:#:' spec/ruby-progressbar/refinements/enumerator_spec.rb || die
+}


             reply	other threads:[~2018-08-18  5:03 UTC|newest]

Thread overview: 44+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-08-18  5:03 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-11 16:19 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ruby-progressbar/ Hans de Graaff
2024-05-31  6:32 Hans de Graaff
2024-03-20 12:04 Hans de Graaff
2023-08-29 14:26 Hans de Graaff
2023-03-26  3:03 Sam James
2023-03-23  6:53 Sam James
2023-01-21  8:44 Hans de Graaff
2022-12-03  7:43 Hans de Graaff
2022-10-21  9:11 Hans de Graaff
2022-04-06 16:00 Hans de Graaff
2022-03-18  6:50 Jakov Smolić
2021-01-03  8:05 Hans de Graaff
2021-01-03  8:05 Hans de Graaff
2020-12-20 19:14 Sam James
2020-12-20 19:03 Sam James
2020-09-08 12:03 Hans de Graaff
2020-08-07  7:46 Hans de Graaff
2020-04-27  7:58 Hans de Graaff
2020-04-13 13:09 Hans de Graaff
2019-05-28 18:16 Hans de Graaff
2019-04-13  6:34 Hans de Graaff
2019-03-29  9:17 Hans de Graaff
2018-06-23  5:58 Hans de Graaff
2018-05-21 18:15 Hans de Graaff
2018-04-29  9:42 Hans de Graaff
2018-02-25  7:47 Hans de Graaff
2018-02-07 19:19 Hans de Graaff
2018-01-25  6:34 Hans de Graaff
2018-01-22 19:04 Hans de Graaff
2017-12-02  6:30 Hans de Graaff
2017-09-27  5:09 Hans de Graaff
2017-09-26  5:56 Hans de Graaff
2017-05-25 19:54 Michael Weber
2017-03-02  7:02 Hans de Graaff
2017-03-02  7:02 Hans de Graaff
2016-11-18  6:27 Hans de Graaff
2016-10-02 10:46 Jeroen Roovers
2016-07-22 19:04 Hans de Graaff
2016-07-22 19:04 Hans de Graaff
2016-05-28  5:29 Hans de Graaff
2016-05-09 22:33 Manuel Rüger
2016-02-21 15:28 Fabian Groffen
2016-02-14 19:43 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1534568586.4d7a1929bfe7dd36a4ed1ca603f8537948d25708.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox